%global  sourcename    TerminalImageViewer-master
%global  sourceplace   src/main/cpp
%global  debug_package %{nil}

Summary:    Terminal Image Viewer
Name:       tiv
Version:    2023.02.23
License:    Apache License
Group:      Productivity/Graphics/Viewers
Release:    K01%{?dist}
Packager:   Kārlis Kalviškis
URL:        https://github.com/stefanhaustein/TerminalImageViewer
Source:     %{sourcename}.zip

BuildRequires: gcc-c++
BuildRequires: ImageMagick
BuildRequires: gzip
BuildRequires: rubygem-ronn

%description
tiv is a small C++ program to display images in a (modern) terminal
using RGB ANSI codes and unicode block graphic characters.


%prep
%setup -q -n %{sourcename}

%build
ronn -r --pipe README.md | gzip > %{name}.1.gz
cd %{sourceplace}
make

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} %{sourceplace}/%{name} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} %{name}.1* %{buildroot}%{_mandir}/man1/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%license LICENSE
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}

%changelog
* Fri Aug 27 2021  Kārlis Kalviškis <karlo@lu.lv> - 2021.08.27-K01
- Rebuilt for Fedora 34 from new master

* Tue Feb 25 2020  Kārlis Kalviškis <karlo@lu.lv> - 2019.10.21-K01
- First RPM packaging.
